Package org.apache.cayenne.dba.postgres.sqltree

## Class PostgresLikeNode

- java.lang.Object
- - org.apache.cayenne.access.sqlbuilder.sqltree.Node
  - - org.apache.cayenne.access.sqlbuilder.sqltree.ExpressionNode
    - - org.apache.cayenne.access.sqlbuilder.sqltree.LikeNode
      - - org.apache.cayenne.dba.postgres.sqltree.PostgresLikeNode

-     public class PostgresLikeNode
      extends LikeNode

  Since:
    4.2

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.LikeNode

      `escape, ignoreCase, not`

    - ### Fields inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.Node

      `children, childrenCount, parent, type`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PostgresLikeNode​(boolean isNot, char escape)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `appendChildrenSeparator​(QuotingAppendable buffer, int childIdx)` |
    `Node` | `copy()` |

    - ### Methods inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.LikeNode

      `appendChildrenEnd, appendChildrenStart, getEscape, isIgnoreCase, isNot`

    - ### Methods inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.ExpressionNode

      `append, toString`

    - ### Methods inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.Node

      `addChild, addChild, deepCopy, getChild, getChildrenCount, getParent, getType, replaceChild, setParent, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PostgresLikeNode

          public PostgresLikeNode​(boolean isNot,
                                  char escape)

  - ### Method Detail

    - #### appendChildrenSeparator

          public void appendChildrenSeparator​(QuotingAppendable buffer,
                                              int childIdx)

      Overrides:
        `appendChildrenSeparator` in class `LikeNode`

    - #### copy

          public Node copy()

      Overrides:
        `copy` in class `LikeNode`